/api-keysCreate an API key
Authentication
Bearer authentication is required for this operation.
Request body
namerequiredstringHuman-readable API key name.
Request examples
curl --request POST 'https://api.au.boundry.dev/api-keys' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+ -H 'Content-Type: application/json' \
+ --data '{"name":"Production app"}'201 response
New API key and one-time token.
created_atrequiredstring (date-time)Timestamp when the key was created. Example: "2026-08-14T12:00:00.000Z".
idrequiredstringAPI key identifier. Example: "msg_01j0example".
namerequiredstringAPI key name.
tokenrequiredstringOne-time API key secret.
{
"name": "Production app"
}400 response
Request body was not valid JSON.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"name": "Production app"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"name": "Production app"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"name": "Production app"
}